<?php

namespace FSPoster\App\SocialNetworks\Twitter\App\Factories;

use FSPoster\App\SocialNetworks\Twitter\App\CommentService;
use FSPoster\App\SocialNetworks\Twitter\App\Repositories\TwitterCommentRepository;

class CommentServiceFactory
{
    private TwitterCommentRepository $repository;

    public function __construct( TwitterCommentRepository $repository )
    {
        $this->repository = $repository;
    }

    public function make(): CommentService
    {
        return new CommentService( $this->repository );
    }
}
